Commit 31f30bd4 authored by Alessandro dos Santos Ferreira's avatar Alessandro dos Santos Ferreira
Browse files

Atualizando o README

parent 3fbf1c2f
......@@ -10,13 +10,13 @@ Pacote de Visão Computacional do Inovisão.
- A partir da pasta raiz, execute os seguintes comandos:
```
$ cd src
```
```
$ python main.py
```
```
$ cd src
```
```
$ python main.py
```
- Uma imagem como a mostrada abaixo deve ser apresentada:
......@@ -26,19 +26,19 @@ Pacote de Visão Computacional do Inovisão.
- Mostra todas as opções disponíveis
```
$ python main.py --help
```
```
$ python main.py --help
```
- Executa o programa inicializando o banco de imagens em *../data/soja*
```
$ python main.py --dataset ../data/soja
```
```
$ python main.py --dataset ../data/soja
```
- Executa o programa definindo as classes e suas respectivas cores (X11 color names)
```
$ python main.py --classes "Solo Soja Gramineas FolhasLargas" --colors "Orange SpringGreen RebeccaPurple Snow"
```
```
$ python main.py --classes "Solo Soja Gramineas FolhasLargas" --colors "Orange SpringGreen RebeccaPurple Snow"
```
## Dependências - Aplicação base - Python
......@@ -62,7 +62,7 @@ Pacote de Visão Computacional do Inovisão.
### Linux
Seguir as instruções disponíveis em [OpenCV-Linux](http://docs.opencv.org/doc/tutorials/introduction/linux_install/linux_install.html#linux-installation). Lí em algum lugar que dá para instalar com o comando abaixo, não testei mas pode funcionar:
```
$ sudo apt-get install python-opencv
$ sudo apt-get install python-opencv
```
Pode ser que seja necessário instalar também uma versão mais antiga do opencv (2.4*) caso apareça um erro com o comando import cv (que sumiu na versão 3.0.0 do opencv). Neste caso, tente seguir estes passos: [Instalando opencv 2.4] (https://sites.google.com/a/computacao.ufcg.edu.br/lvc/aprendizado/opencv).
......@@ -83,36 +83,37 @@ Pode ser que seja necessário instalar também uma versão mais antiga do opencv
## Como instalar scikit-image e arff
```
$ sudo apt-get install python-numpy python-scipy python-matplotlib ipython ipython-notebook python-pandas python-sympy python-nose python-pip python-networkx libfreetype6-dev
$ sudo pip install -U scikit-image
$ sudo apt-get install python-numpy python-scipy python-matplotlib ipython ipython-notebook python-pandas python-sympy python-nose python-pip python-networkx libfreetype6-dev
$ sudo pip install -U scikit-image
```
Em uma das máquinas em que tentei instalar deu um erro que resolvi rodando o comando abaixo antes de executar a linha acima:
```
$ sudo apt-get build-dep python-matplotlib
$ sudo pip install cycler
```
Em uma das máquinas em que tentei instalar deu um erro que resolvi rodando o comando abaixo antes de executar a linha acima:
```
$ sudo apt-get build-dep python-matplotlib
$ sudo pip install cycler
```
## Como instalar o tk/tk-dev
### Ubuntu
```
$ sudo apt-get install tk tk-dev
$ sudo apt-get install tk tk-dev
```
Na ocorrência do erro 'cannot import name _tkagg', tentar os seguintes comandos:
```
$ sudo apt-get install tk tk-dev
$ sudo pip uninstall matplotlib
$ sudo pip install matplotlib
$ sudo apt-get install tk tk-dev
$ sudo pip uninstall matplotlib
$ sudo pip install matplotlib
```
Se der erro na reinstalação do matplotlib (depois que desinstalar), tente desinstalar também pelo apt-get:
$ sudo apt-get remove python-matplotlib
```
$ sudo apt-get remove python-matplotlib
```
## Mais informações
......@@ -157,8 +158,10 @@ Por favor note: você precisa certificar-se que os bits do seu ambiente é consi
Realize os seguintes passos:
Instale Python, esteja certo que você checou Add python.exe to path durante a instalação
Instale Python, esteja certo que você checou Add python.exe to path durante a instalação.
Adicione os scripts Python eu sua variável de ambiente PATH, por exemplo, :\\Python27\\Scripts
Instale pip com os seguintes passos:
- baixe daqui https://bootstrap.pypa.io/get-pip.py
- instale usando python get-pip.py
......@@ -193,7 +196,7 @@ Se você deseja as funcionalidades gráficas você precisa instalar matplotlib t
## Como instalar o caffe ( Opcional )
###
### Ubuntu / Windows
Para poder utilizar o classificador CNNCaffe, uma ConvNet baseada na topologia AlexNet, é necessário instalar o software Caffe.
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment